Ada Reference Manual (Ada 2022) — Legal Information

# 2.4 Numeric Literals

1
There are two kinds of numeric_literals, real literals and integer literals. A real literal is a numeric_literal that includes a point; an integer literal is a numeric_literal without a point.

#### Syntax

2
numeric_literal ::= decimal_literal | based_literal
3
NOTE The type of an integer literal is universal_integer. The type of a real literal is universal_real.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe